Bug 1032425 - Review Request: perl-XML-Parser-Lite - Lightweight regexp-based XML parser
Review Request: perl-XML-Parser-Lite - Lightweight regexp-based XML parser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 02:43 EST by Petr Šabata
Modified: 2014-09-30 09:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-XML-Parser-Lite-0.719-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-30 09:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2013-11-20 02:43:53 EST
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite-0.717-1.fc19.src.rpm
Description: 
This Perl module implements an XML parser with a interface similar to
XML::Parser.  Though not all callbacks are supported, you should be able to
use it in the same way you use XML::Parser.
Fedora Account System Username: psabata
Comment 1 Petr Pisar 2013-11-21 10:00:22 EST
URL is usable. Ok.
Source0 is usable. Ok.
Source archive is orginal (SHA-256: 19a85b288778a6f223f77a2ce52a78e1b4c8e64596a01c9ece088b98c0e16cb0). Ok.
No XS code, noarch BuildArch is Ok.
Summary verified from lib/XML/Parser/Lite.pm. Ok.

Description verified from lib/XML/Parser/Lite.pm.
TODO: Fix grammar mistake `a interface'.

License verified from README and lib/XML/Parser/Lite.pm.

FIX: There is another license at lib/XML/Parser/Lite.pm:63:

    # The following code may be freely used and distributed provided that
    # this copyright and citation notice remains intact and that modifications
    # or additions are clearly identified.

It does not look as any Fedora known license. I'm not sure if the
`modifications or additions are clearly identified.' is compatible with GPL.

FIX: The lib/XML/Parser/Lite.pm contains copyright for foreign module:

# Copyright (C) 2000-2007 Paul Kulchenko (paulclinger@yahoo.com)
# Copyright (C) 2008 Martin Kutter (martin.kutter@fen-net.de)
# SOAP::Lite is free software; you can redistribute it
# and/or modify it under the same terms as Perl itself.

This should get fixed.

All tests pass. Ok.

$ rpmlint perl-XML-Parser-Lite.spec ../SRPMS/perl-XML-Parser-Lite-0.717-1.fc21.src.rpm ../RPMS/noarch/perl-XML-Parser-Lite-0.717-1.fc21.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -qlvp ../RPMS/noarch/perl-XML-Parser-Lite-0.717-1.fc21.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Nov 21 15:51 /usr/share/doc/perl-XML-Parser-Lite
-rw-r--r--    1 root    root                      121 May 16  2013 /usr/share/doc/perl-XML-Parser-Lite/Changes
-rw-r--r--    1 root    root                     1159 May 16  2013 /usr/share/doc/perl-XML-Parser-Lite/README
-rw-r--r--    1 root    root                     3354 Nov 21 15:51 /usr/share/man/man3/XML::Parser::Lite.3pm.gz
drwxr-xr-x    2 root    root                        0 Nov 21 15:51 /usr/share/perl5/vendor_perl/XML
drwxr-xr-x    2 root    root                        0 Nov 21 15:51 /usr/share/perl5/vendor_perl/XML/Parser
-rw-r--r--    1 root    root                    10771 May 16  2013 /usr/share/perl5/vendor_perl/XML/Parser/Lite.pm
File layout and permissions are Ok.

$ rpm -q --requires -p  ../RPMS/noarch/perl-XML-Parser-Lite-0.717-1.fc21.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(re)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p  ../RPMS/noarch/perl-XML-Parser-Lite-0.717-1.fc21.noarch.rpm | sort -f | uniq -c
      1 perl(XML::Parser::Lite) = 0.717
      1 perl-XML-Parser-Lite = 0.717-1.fc21
Binary provides are Ok.

$ resolvedeps rawhide  ../RPMS/noarch/perl-XML-Parser-Lite-0.717-1.fc21.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=6209592). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items, consider fixing `TODO' items, and provide new SPEC file.

Resolution: Package NOT approved.
Comment 2 Petr Šabata 2013-11-22 03:34:17 EST
(In reply to Petr Pisar from comment #1)
> TODO: Fix grammar mistake `a interface'.

Will do.

> License verified from README and lib/XML/Parser/Lite.pm.
> 
> FIX: There is another license at lib/XML/Parser/Lite.pm:63:
> 
>     # The following code may be freely used and distributed provided that
>     # this copyright and citation notice remains intact and that
> modifications
>     # or additions are clearly identified.

I've asked on the Fedora legal list.

> FIX: The lib/XML/Parser/Lite.pm contains copyright for foreign module:
> 
> # Copyright (C) 2000-2007 Paul Kulchenko (paulclinger@yahoo.com)
> # Copyright (C) 2008 Martin Kutter (martin.kutter@fen-net.de)
> # SOAP::Lite is free software; you can redistribute it
> # and/or modify it under the same terms as Perl itself.
> 
> This should get fixed.

This module used to be a part of the SOAP::Lite distribution so I suppose the same license is intended.  However, I agree the name needs to be fixed.
Comment 3 Petr Šabata 2014-02-05 10:50:31 EST
I've updated the package to the latest release:

http://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite.spec
http://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite-0.719-1.fc19.src.rpm

The Licence tag was fixed according to the discussion with legal.

I've raised an issue with upstream about the module header but I don't think this is a blocker as there's a correct copyright notice in the POD.

Also, I've fixed the description grammar.
Comment 4 Petr Pisar 2014-02-06 03:15:26 EST
Spec file changes:

--- perl-XML-Parser-Lite.spec.old       2013-11-20 08:43:11.000000000 +0100
+++ perl-XML-Parser-Lite.spec   2014-02-05 16:49:07.000000000 +0100
@@ -1,8 +1,8 @@
 Name:           perl-XML-Parser-Lite
-Version:        0.717
+Version:        0.719
 Release:        1%{?dist}
 Summary:        Lightweight regexp-based XML parser
-License:        GPL+ or Artistic
+License:        (GPL+ or Artistic) and REX
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/XML-Parser-Lite/
 Source0:        http://www.cpan.org/authors/id/P/PH/PHRED/XML-Parser-Lite-%{version}.tar.gz
@@ -15,13 +15,14 @@
 BuildRequires:  perl(SOAP::Test)
 BuildRequires:  perl(strict)
 BuildRequires:  perl(Test)
+BuildRequires:  perl(Test::More)
 BuildRequires:  perl(warnings)
 BuildRequires:  perl(XMLRPC::Lite)
 BuildRequires:  perl(XMLRPC::Test)
 Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

 %description
-This Perl module implements an XML parser with a interface similar to
+This Perl module implements an XML parser with an interface similar to
 XML::Parser.  Though not all callbacks are supported, you should be able to
 use it in the same way you use XML::Parser.

@@ -46,5 +47,8 @@
 %{_mandir}/man3/*

 %changelog
+* Wed Feb 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-1
+- 0.719 bump
+
 * Wed Nov 20 2013 Petr Šabata <contyk@redhat.com> - 0.717-1
 - Specfile autogenerated by cpanspec 1.78.

> TODO: Fix grammar mistake `a interface'.
Ok.

> FIX: There is another license at lib/XML/Parser/Lite.pm:63
-License:        GPL+ or Artistic
+License:        (GPL+ or Artistic) and REX
Ok.

> FIX: The lib/XML/Parser/Lite.pm contains copyright for foreign module
I've raised an issue with upstream about the module header but I don't think this is a blocker as there's a correct copyright notice in the POD.
Ok.

> http://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite-0.719-1.fc19.src.rpm
There is no document. I will suppose <http://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite-0.719-1.fc20.src.rpm>.

URL and Source0 are usable. Ok.
Source archive is original (SHA-256: 7c8c8a42bd7e6b64cd92d445132f57a6db23952741796e4764b59cb9c9011b05). Ok.
URL and Source

SOAP::Test is optional for test. Ok.
XMLRPC::Lite is optional for test. Ok.
License is Ok.

FIX: Tests do not pass in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=6499398). See <https://rt.cpan.org/Public/Bug/Display.html?id=91434> for bug report.

Because the package does not build, I cannot finish the review. Please fix it first.

Resolution: Package NOT approved.
Comment 6 Petr Pisar 2014-02-10 08:27:17 EST
Spec file changes:

$ diff -u perl-XML-Parser-Lite.spec{.old,}
--- perl-XML-Parser-Lite.spec.old       2014-02-05 16:49:07.000000000 +0100
+++ perl-XML-Parser-Lite.spec   2014-02-06 10:37:34.000000000 +0100
@@ -1,11 +1,13 @@
 Name:           perl-XML-Parser-Lite
 Version:        0.719
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Lightweight regexp-based XML parser
 License:        (GPL+ or Artistic) and REX
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/XML-Parser-Lite/
 Source0:        http://www.cpan.org/authors/id/P/PH/PHRED/XML-Parser-Lite-%{version}.tar.gz
+# rt#91434
+Patch0:         perl-XML-Parser-Lite-0.719-tests.patch
 BuildArch:      noarch
 # SOAP::Lite is not actually needed
 BuildRequires:  perl
@@ -18,7 +20,7 @@
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(warnings)
 BuildRequires:  perl(XMLRPC::Lite)
-BuildRequires:  perl(XMLRPC::Test)
+BuildRequires:  perl(XMLRPC::Test::Server)
 Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

 %description
@@ -28,6 +30,7 @@

 %prep
 %setup -q -n XML-Parser-Lite-%{version}
+%patch0 -p1

 %build
 perl Makefile.PL INSTALLDIRS=vendor
@@ -47,6 +50,9 @@
 %{_mandir}/man3/*

 %changelog
+* Thu Feb 06 2014 Petr Šabata <contyk@redhat.com> - 0.719-2
+- Patch the test suite so it actually works
+
 * Wed Feb 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-1
 - 0.719 bump


Source archive is original (SHA-256: 7c8c8a42bd7e6b64cd92d445132f57a6db23952741796e4764b59cb9c9011b05). Ok.

The patch is Ok.

> FIX: Tests do not pass in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=6499398). See <https://rt.cpan.org/Public/Bug/Display.html?id=91434> for bug report.
All tests pass. Ok.

 rpmlint perl-XML-Parser-Lite.spec ../SRPMS/perl-XML-Parser-Lite-0.719-2.fc21.src.rpm ../RPMS/noarch/perl-XML-Parser-Lite-0.719-2.fc21.noarch.rpm 
perl-XML-Parser-Lite.src: W: invalid-license REX
perl-XML-Parser-Lite.noarch: W: invalid-license REX
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-XML-Parser-Lite-0.719-2.fc21.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb 10 14:16 /usr/share/doc/perl-XML-Parser-Lite
-rw-r--r--    1 root    root                      295 Dec  2 18:43 /usr/share/doc/perl-XML-Parser-Lite/Changes
-rw-r--r--    1 root    root                     1159 Nov 26 19:38 /usr/share/doc/perl-XML-Parser-Lite/README
-rw-r--r--    1 root    root                     3351 Feb 10 14:16 /usr/share/man/man3/XML::Parser::Lite.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb 10 14:16 /usr/share/perl5/vendor_perl/XML
drwxr-xr-x    2 root    root                        0 Feb 10 14:16 /usr/share/perl5/vendor_perl/XML/Parser
-rw-r--r--    1 root    root                    10762 Dec  2 18:44 /usr/share/perl5/vendor_perl/XML/Parser/Lite.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-XML-Parser-Lite-0.719-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(re)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

rpm -q --provides -p ../RPMS/noarch/perl-XML-Parser-Lite-0.719-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(XML::Parser::Lite) = 0.719
      1 perl-XML-Parser-Lite = 0.719-2.fc21
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-XML-Parser-Lite-0.719-2.fc21.noarch.rpm 
Binary dependencies resolvable. Ok.

FIX: Package does not build in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=6512171):
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/07-xmlrpc_payload.t .. ok
# Looks like you planned 6 tests but ran 8.
t/26-xmlrpc.t .......... 
Dubious, test returned 255 (wstat 65280, 0xff00)
All 6 subtests passed 
	(less 8 skipped subtests: -2 okay)
t/27-xmlparserlite.t ... ok
t/37-mod_xmlrpc.t ...... ok
t/Lite.t ............... ok
Test Summary Report
-------------------
t/26-xmlrpc.t        (Wstat: 65280 Tests: 8 Failed: 2)
  Failed tests:  7-8
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 6 tests but ran 8.
Files=5, Tests=88,  2 wallclock secs ( 0.13 usr  0.02 sys +  1.51 cusr  0.11 csys =  1.77 CPU)
Result: FAIL

Otherwise the package is good.

Please correct all `FIX' items and provide new spec file.
Resolution: Package NOT approved.
Comment 8 Petr Pisar 2014-09-05 06:36:37 EDT
The SPEC file is unchanged and the SRPM file does not exist.
Comment 9 Petr Šabata 2014-09-05 07:50:06 EDT
Corrected.
Comment 10 Petr Pisar 2014-09-05 09:02:50 EDT
Spec file changes:

$ diff -u perl-XML-Parser-Lite.spec{.old,}
--- perl-XML-Parser-Lite.spec.old       2014-02-06 10:37:34.000000000 +0100
+++ perl-XML-Parser-Lite.spec   2014-09-05 11:59:49.000000000 +0200
@@ -1,6 +1,6 @@
 Name:           perl-XML-Parser-Lite
 Version:        0.719
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Lightweight regexp-based XML parser
 License:        (GPL+ or Artistic) and REX
 Group:          Development/Libraries
@@ -8,6 +8,8 @@
 Source0:        http://www.cpan.org/authors/id/P/PH/PHRED/XML-Parser-Lite-%{version}.tar.gz
 # rt#91434
 Patch0:         perl-XML-Parser-Lite-0.719-tests.patch
+# rt#98635
+Patch1:         perl-XML-Parser-Lite-0.719-plan.patch
 BuildArch:      noarch
 # SOAP::Lite is not actually needed
 BuildRequires:  perl
@@ -31,6 +33,7 @@
 %prep
 %setup -q -n XML-Parser-Lite-%{version}
 %patch0 -p1
+%patch1 -p1

 %build
 perl Makefile.PL INSTALLDIRS=vendor
@@ -50,6 +53,9 @@
 %{_mandir}/man3/*

 %changelog
+* Fri Sep 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-3
+- Avoid koji build failures by correcting the test plan
+
 * Thu Feb 06 2014 Petr Šabata <contyk@redhat.com> - 0.719-2
 - Patch the test suite so it actually works


I will use <https://psabata.fedorapeople.org/pkgs/perl-XML-Parser-Lite/perl-XML-Parser-Lite-0.719-3.fc20.src.rpm> for the patch.

The perl-XML-Parser-Lite-0.719-plan.patch patch is good.

All tests pass. Ok.

$ rpmlint perl-XML-Parser-Lite.spec ../SRPMS/perl-XML-Parser-Lite-0.719-3.fc22.src.rpm ../RPMS/noarch/perl-XML-Parser-Lite-0.719-3.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

> FIX: Package does not build in F21
> (http://koji.fedoraproject.org/koji/taskinfo?taskID=6512171):
Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7530258). Ok.

Resolution: Package APPROVED.
Comment 11 Petr Šabata 2014-09-05 09:36:09 EDT
New Package SCM Request
=======================
Package Name: perl-XML-Parser-Lite
Short Description: Lightweight regexp-based XML parser
Upstream URL: http://search.cpan.org/dist/XML-Parser-Lite/
Owners: psabata jplesnik ppisar
Branches: f21
InitialCC: perl-sig
Comment 12 Gwyn Ciesla 2014-09-05 13:20:07 EDT
Git done (by process-git-requests).
Comment 13 Petr Šabata 2014-09-08 11:10:17 EDT
Thanks!
Comment 14 Fedora Update System 2014-09-08 11:22:00 EDT
perl-XML-Parser-Lite-0.719-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-XML-Parser-Lite-0.719-3.fc21
Comment 15 Fedora Update System 2014-09-23 01:06:04 EDT
perl-XML-Parser-Lite-0.719-3.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.